Galaxy Nexus, Nexus 7 (2012) and Nexus 10 won’t support next version of Ubuntu Touch

Ubuntu Touch

Bad news for Ubuntu fans who also happen to be owners of the Galaxy Nexus, Nexus 7 (2012) or Nexus 10 – the upcoming release of Ubuntu Touch won’t work on your device.

Canonical explained the move on its Ubuntu-phone team mailing list, saying that the team needs to focus on newer devices. Moreover, they said that Nexus 5 support is also on hold and won’t be included until Ubuntu 14.04 is out.

Although we’re sad to see the end of support for some devices, we can’t help but understand the company’s decision to dedicate its limited resources on latest phones. Development costs real money, and making sure older phones and tablets can run Ubuntu will drain the precious time from software engineers. So if this move helps us get better Ubuntu, we’re all for that.

Sadly, we’re still clueless when or even whether Canonical will launch Ubuntu for Android. Hopefully, we’ll have more information about that soon…

[Via: AndroidCentral]

Back to top ▴